g1050_core_state_t Struct Reference

`#include <g1050.h>`

## Public Attributes

int32_t | route_flap_counter
int32_t | route_flap_interval
double | route_flap_delta
int32_t | link_failure_counter
int32_t | link_recovery_counter
int32_t | link_failure_interval_ticks
int32_t | link_failure_duration_ticks
double | base_delay
double | max_jitter
double | prob_packet_loss
double | prob_oos
double | last_arrival_time
double | delay_delta
double | delays [3 *1000]
uint32_t | lost_packets
uint32_t | lost_packets_2

## Detailed Description

The model state for the core network (backbone) segment

## Member Data Documentation

## base_delay

double g1050_core_state_t::base_delay

Basic backbone delay

## delays

double g1050_core_state_t::delays[3 *1000]

3 seconds of predicted delays for the link

## last_arrival_time

double g1050_core_state_t::last_arrival_time

The latest packet arrival time seen on the link.

## lost_packets

uint32_t g1050_core_state_t::lost_packets

A count of packets lost on the link.

## lost_packets_2

uint32_t g1050_core_state_t::lost_packets_2

An extra debug count of packets lost on the link.

## max_jitter

double g1050_core_state_t::max_jitter

Peak jitter in the backbone delay

## prob_oos

double g1050_core_state_t::prob_oos

Probability of a packet going out of sequence in the backbone.

## prob_packet_loss

double g1050_core_state_t::prob_packet_loss

Probability of packet loss in the backbone, in percent

The documentation for this struct was generated from the following file:

- g1050.h